OptArg.OptType
Date: 2011-06-15

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.pawjaw.utils
Enum OptArg.OptType

    java.lang.Object
      java.lang.Enum<OptArg.OptType>
          com.pawjaw.utils.OptArg.OptType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OptArg.OptType>

Enclosing class:
  OptArg

    public static enum OptArg.OptType

extends java.lang.Enum<OptArg.OptType>

Enum Constant Summary
`BOOLEAN`
`DOUBLE`
`FLAG`
`INT`
`LONG`
`NONNEGATIVEINT`
`POSITIVEDOUBLE`
`POSITIVEINT`
`STRING`

Field Summary
`java.lang.String` | `description`

Method Summary
`java.lang.Object` | `parse(java.lang.String s)`
`static OptArg.OptType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OptArg.OptType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FLAG

    public static final OptArg.OptType FLAG

### STRING

    public static final OptArg.OptType STRING

### BOOLEAN

    public static final OptArg.OptType BOOLEAN

### INT

    public static final OptArg.OptType INT

### POSITIVEINT

    public static final OptArg.OptType POSITIVEINT

### NONNEGATIVEINT

    public static final OptArg.OptType NONNEGATIVEINT

### DOUBLE

    public static final OptArg.OptType DOUBLE

### POSITIVEDOUBLE

    public static final OptArg.OptType POSITIVEDOUBLE

### LONG

    public static final OptArg.OptType LONG

Field Detail

### description

    public java.lang.String description

Method Detail

### values

    public static OptArg.OptType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OptArg.OptType c : OptArg.OptType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OptArg.OptType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### parse

    public java.lang.Object parse(java.lang.String s)
                           throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD